/api/v1/dataset-items/{id} (GET)
const url = 'https://api.endless.zaia.app/api/v1/dataset-items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/dataset-items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Retrieves a dataset item.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves a dataset item.
object
A UUID v4 string that identifies an entity.
The dataset ID associated with the dataset item.
The internal description of the dataset item.
Whether the dataset item is enabled for agent searches.
The exclusive end of the dataset item availability period.
The file payload or file reference associated with the dataset item.
The display name of the dataset item.
The source type used to classify the dataset item.
The inclusive start of the dataset item availability period.
The processing status of the dataset item.
Example
{ "enabled": true, "endsAt": null, "sourceType": "text", "startsAt": null, "status": "pending"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}Dataset item not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}